Package ghidra.framework.task

# Class GScheduledTask

java.lang.Object
ghidra.framework.task.GScheduledTask

All Implemented Interfaces:
  `Comparable<GScheduledTask>`

public class GScheduledTask extends Object implements Comparable<GScheduledTask>
Class for tracking scheduled GTasks. When tasks are scheduled, they are assigned to a GTaskGroup, given a priority, assigned a one-up ID, given a GTaskMonitor. This class is used to keep all that information together.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GScheduledTask(GTaskGroup group, GTask task, int priority)`
  Create a new GScheduledTask when a task is scheduled with the GTaskManager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(GScheduledTask other)`
  `String`
  `getDescription()`
  Returns the description for the scheduled GTask.
  `GTaskGroup`
  `getGroup()`
  Return GTaskGroup for this task.
  `int`
  `getPriority()`
  Returns the priority at which the task was scheduled.
  `GTask`
  `getTask()`
  Returns the GTask that is scheduled.
  `GTaskMonitor`
  `getTaskMonitor()`
  Returns the GTaskMonitor that will be used for this task.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GScheduledTask

    public GScheduledTask(GTaskGroup group, GTask task, int priority)
    Create a new GScheduledTask when a task is scheduled with the GTaskManager.
    Parameters:
      `group` - the group that this task belongs to.
      `task` - the task being scheduled.
      `priority` - the priority at which this task is to be executed relative to other scheduled tasks. Lower numbers are run before higher numbers.

- ## Method Details

  - ### getTask

    public GTask getTask()
    Returns the GTask that is scheduled.
    Returns:
      the GTask that is scheduled.

  - ### getPriority

    public int getPriority()
    Returns the priority at which the task was scheduled. Lower numbers have higher priority.
    Returns:
      the priority at which the task was scheduled.

  - ### getTaskMonitor

    public GTaskMonitor getTaskMonitor()
    Returns the GTaskMonitor that will be used for this task.
    Returns:
      the GTaskMonitor that will be used for this task.

  - ### compareTo

    public int compareTo(GScheduledTask other)
    Specified by:
      `compareTo` in interface `Comparable<GScheduledTask>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getGroup

    public GTaskGroup getGroup()
    Return GTaskGroup for this task.
    Returns:
      the GTaskGroup

  - ### getDescription

    public String getDescription()
    Returns the description for the scheduled GTask.
    Returns:
      the description for the scheduled GTask.